using Microsoft.EntityFrameworkCore;
using Newtonsoft.Json;

namespace SQLiteEF;

[PrimaryKey("AppId")]
public class Game(ulong appId, string name, string? iconUrl, string? logoUrl)
{
    public ulong AppId { get; init; } = appId;
    public string Name { get; set; } = name;
    public string? IconUrl { get; set; } = iconUrl;
    public string? LogoUrl { get; set; } = logoUrl;
    [JsonIgnore] public ICollection<Player> PlayedBy { get; init; } = null!;
    [JsonIgnore] public ICollection<TrackedTime> TrackedTimes { get; init; } = null!;
}